ros-jade-jsk-rqt-plugins (2.1.0-0utopic) utopic; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 12 Feb 2017 15:00:00 -0000

ros-jade-jsk-rqt-plugins (2.0.1-0utopic) utopic; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 14 Dec 2016 15:00:00 -0000

ros-jade-jsk-rqt-plugins (2.0.0-0utopic) utopic; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 13 Dec 2016 15:00:00 -0000

ros-jade-jsk-rqt-plugins (1.0.34-0utopic) utopic; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 28 Sep 2016 15:00:00 -0000

ros-jade-jsk-rqt-plugins (1.0.33-0utopic) utopic; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 12 Sep 2016 15:00:00 -0000

ros-jade-jsk-rqt-plugins (1.0.32-0utopic) utopic; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 19 Jul 2016 15:00:00 -0000

ros-jade-jsk-rqt-plugins (1.0.31-0utopic) utopic; urgency=high

  * Warn about unsupported topic type
  * Check class type of data instead of subscribed topic type in rqt_histgram_plot to support HistgramWithRangeArray
  * Contributors: Kentaro Wada, Iori Kumagai

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 18 May 2016 15:00:00 -0000

ros-jade-jsk-rqt-plugins (1.0.30-0utopic) utopic; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 24 Mar 2016 15:00:00 -0000

ros-jade-jsk-rqt-plugins (1.0.29-0utopic) utopic; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 19 Mar 2016 15:00:00 -0000

ros-jade-jsk-rqt-plugins (1.0.28-0utopic) utopic; urgency=high

  * Except NavigationToolbar ImportError from matplotlib
    this is caused with upgraded matplotlib.
    reported at: https://github.com/semiautomaticgit/SemiAutomaticClassificationPlugin/issues/2
    Modified:
    - jsk_rqt_plugins/src/jsk_rqt_plugins/hist.py
    - jsk_rqt_plugins/src/jsk_rqt_plugins/plot.py
    - jsk_rqt_plugins/src/jsk_rqt_plugins/plot_2d.py
  * [jsk_rqt_plugins] Support min-max fields of PlotDataArray in
    rqt_2d_plot
  * [jsk_rqt_plugins/plot_2d] Update to support new
    jsk_recognition_msgs/PlotData fields
  * Contributors: Kentaro Wada, Ryohei Ueda

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 02 Feb 2016 15:00:00 -0000

ros-jade-jsk-rqt-plugins (1.0.27-0utopic) utopic; urgency=high

  * [jsk_rqt_plugins] Avoid already advertised error for rqt_yn_btn
  * Contributors: Kentaro Wada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 07 Dec 2015 15:00:00 -0000

ros-jade-jsk-rqt-plugins (1.0.26-0utopic) utopic; urgency=high

  * [jsk_rqt_plugins] Advertise service after initialized
  * Contributors: Kentaro Wada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 02 Dec 2015 15:00:00 -0000

ros-jade-jsk-rqt-plugins (1.0.25-0utopic) utopic; urgency=high

  * [jsk_rqt_plugins] Fit line to date by ransac
  * [jsk_rqt_plugins] Move README to sphinx + readthedocs
  * Contributors: Kentaro Wada, Ryohei Ueda

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 09 Oct 2015 15:00:00 -0000

ros-jade-jsk-rqt-plugins (1.0.24-0utopic) utopic; urgency=high

  * Fix get_slot_type_field_names for None msg
  * [jsk_rqt_plugins] Add more plot options for rqt_2d_plot
  * [jsk_rqt_plugins/rqt_2d_plot] Add sample
  * [jsk_rqt_plugins/plot_2d] Show grid
  * [jsk_rqt_plugins] Add script to plot data as scatter
  * [jsk_rqt_plugins] Add util to get slot field
  * [jsk_rqt_plugins] Depends on rqt_image_view
  * [jsk_rqt_plugins/rqt_histogram_plot] Publish rendered image from
    rqt_histogram_plot.
    In order to overlay the image on rviz
  * [jsk_rqt_plugins] Update README about rqt_histogram_plot
  * [jsk_rqt_plugins/rqt_histogram_plot] Support legend
  * [jsk_rqt_plugins/histogram_plot] Support
    jsk_recognition_msgs/HistogramWithRange message to specify
    x-axis values
  * [jsk_rqt_plugins] Remove unused comments
  * [jsk_rqt_plugins][rqt_string_label] Display more candidates which has string field
  * [jsk_rqt_plugins] Catch error for unexpected message type
  * [jsk_rqt_plugins] rqt_string_label supports nested string as well as std_msgs/String
  * [jsk_rqt_plugins][button_general.py] Make combo_box shared
  * Contributors: Kentaro Wada, Ryohei Ueda

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 07 Sep 2015 15:00:00 -0000

ros-jade-jsk-rqt-plugins (1.0.23-0utopic) utopic; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 14 Jul 2015 15:00:00 -0000

ros-jade-jsk-rqt-plugins (1.0.22-0utopic) utopic; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 23 Jun 2015 15:00:00 -0000

ros-jade-jsk-rqt-plugins (1.0.21-0utopic) utopic; urgency=high

  * [jsk_rqt_plugins] Add sign for configuration button in the README image of rqt_service_button
  * [jsk_rqt_plugins] catch import error and use roslib in rqt_yn_btn
  * [jsk_rqt_plugins] Add README for rqt_service_button
  * [jsk_rqt_plugins] Add rqt_yn_btn
  * [jsk_rqt_plugins] generate button groups
  * Contributors: Kentaro Wada, Masaki Murooka

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 10 Jun 2015 15:00:00 -0000

ros-jade-jsk-rqt-plugins (1.0.20-0utopic) utopic; urgency=high

  * [jsk_rqt_plugins/iamge_view2_wrapper] Use thread to update image topic
    list isntead of QTimer not to hung up rqt_gui
  * use button general class for push button and radio button. enable to set parameter name to set layout
  * add radio button plugin
  * display label and icon in button
  * [jsk_rqt_plugins] Add python-urlgrabber dependency
  * Contributors: Masaki Murooka, Ryohei Ueda

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 03 May 2015 15:00:00 -0000

ros-jade-jsk-rqt-plugins (1.0.19-0utopic) utopic; urgency=high

  * [jsk_rqt_plugins] Use parens to import a lot of symbols from modules
  * [jsk_rqt_plugins] Fix periodic duration to call updateTopics and redraw
    in StatusLightWidget
  * [jsk_rqt_plugins] Fix periodic duration to call updateTopics in DRCEnvironmentViewerWidget
  * [jsk_rqt_plugins] Fix periodic duration to call updateTopics in StringLabelWidget
  * [jsk_rqt_plugins] Optimize image_view2_wrapper:
    1. Use signal to tell redraw event from subscription callback
    2. Fix periodic duration to call updateTopics
  * [jsk_rqt_plugins] Add image_view2 to build depend
  * [jsk_rqt_plugins] Support move event without clicking mouse in
    image_view2 rqt wrapper
  * [jsk_rqt_plugins] Fix for handling right click in rqt_image_view2 wrapper
  * [jsk_rqt_plugins] Lower frequency to update StatusLight
  * [jsk_rqt_plugins] Do not redraw image if no needed in image_view2 wrapper
  * [jsk_rqt_plugins] Change message type to uint8 from int32 in Status plugin
  * [jsk_rqt_plugins] Fix typo
  * [jsk_rqt_plugins] Add simple widget to visualize status
  * [jsk_rqt_plugins] Add settings button and remove combo box from top view
  * [jsk_rqt_plugins] Do not convert invalid ROS images to OpenCV images in rqt_image_view2
  * [jsk_rqt_plugins] Update label setting of StringLabel plugin.
    * Use larger font. font size is 14
    * Align text to left
    * Enable word wraping
  * [jsk_rqt_plugins] Use topic stored in perspective file in StringLabel plugin
  * [jsk_rqt_plugins] Simple widget to display std_msgs/String
  * [jsk_rqt_plugins] Add ComboBox and store setting in rqt_image_view2
  * [jsk_rqt_plugins] Fix drawing of rqt_image_view2 when size is not usual
  * [jsk_rqt_plugins] Read configuration of buttons from private parameter space
  * [jsk_rqt_plugins] Add perspective to combine rqt_image_view2 and rqt_service_button
  * [jsk_rqt_plugins] image_view2 rqt wrapper
  * [jsk_rqt_plugins] Support image for button icons in rqt_service_button
  * [jsk_rqt_plugins] Add simple rqt plugin to list buttons to call empty
    services and configurable by yaml file
  * Remove rosbuild files
  * Contributors: Ryohei Ueda

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 08 Apr 2015 15:00:00 -0000

ros-jade-jsk-rqt-plugins (1.0.18-0utopic) utopic; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 29 Jan 2015 15:00:00 -0000

ros-jade-jsk-rqt-plugins (1.0.17-0utopic) utopic; urgency=high

  * [jsk_rqt_plugins] Add simple viewer to visualize mini maxwell status.
  * Contributors: Ryohei Ueda

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 28 Jan 2015 15:00:00 -0000

ros-jade-jsk-rqt-plugins (1.0.16-0utopic) utopic; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 03 Jan 2015 15:00:00 -0000

ros-jade-jsk-rqt-plugins (1.0.15-0utopic) utopic; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 12 Dec 2014 15:00:00 -0000

ros-jade-jsk-rqt-plugins (1.0.14-0utopic) utopic; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 08 Dec 2014 15:00:00 -0000

ros-jade-jsk-rqt-plugins (1.0.13-0utopic) utopic; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 09 Oct 2014 15:00:00 -0000

ros-jade-jsk-rqt-plugins (1.0.12-0utopic) utopic; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 22 Sep 2014 15:00:00 -0000

ros-jade-jsk-rqt-plugins (1.0.11-0utopic) utopic; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 21 Sep 2014 15:00:00 -0000

ros-jade-jsk-rqt-plugins (1.0.10-0utopic) utopic; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 12 Sep 2014 15:00:00 -0000

ros-jade-jsk-rqt-plugins (1.0.9-0utopic) utopic; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 06 Sep 2014 15:00:00 -0000

ros-jade-jsk-rqt-plugins (1.0.8-0utopic) utopic; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 03 Sep 2014 15:00:00 -0000

ros-jade-jsk-rqt-plugins (1.0.7-0utopic) utopic; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 05 Aug 2014 15:00:00 -0000

ros-jade-jsk-rqt-plugins (1.0.6-0utopic) utopic; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 13 Jul 2014 15:00:00 -0000

ros-jade-jsk-rqt-plugins (1.0.5-0utopic) utopic; urgency=high

  * fix jsk_rqt_plugins for groovy users
  * only one topic should be taken into account. the argument of the topics
    cannot be an array
  * add rqt plugin to visualize histogram
  * Contributors: Ryohei Ueda

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 28 Jun 2014 15:00:00 -0000

ros-jade-jsk-rqt-plugins (1.0.4-0utopic) utopic; urgency=high

  * jsk_rqt_plugins: add mk/rosbuild to build_depend
  * jsk_rqt_plugins) install missing .ui file
  * Contributors: Kei Okada, Isaac IY Saito

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 30 May 2014 15:00:00 -0000

ros-jade-jsk-rqt-plugins (1.0.3-0utopic) utopic; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 21 May 2014 15:00:00 -0000

ros-jade-jsk-rqt-plugins (1.0.2-0utopic) utopic; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 20 May 2014 15:00:00 -0000

ros-jade-jsk-rqt-plugins (1.0.1-0utopic) utopic; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 19 May 2014 15:00:00 -0000

ros-jade-jsk-rqt-plugins (1.0.0-0utopic) utopic; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 16 May 2014 15:00:00 -0000

ros-jade-jsk-rqt-plugins (0.0.3-0utopic) utopic; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 14 May 2014 15:00:00 -0000

ros-jade-jsk-rqt-plugins (0.0.2-0utopic) utopic; urgency=high

  * add --no-legend option to disable legend
  * support polygon mode. if you want to plot in line mode, please add -L option
  * implement 3d plotter
  * add jsk_rqt_plugins directory
  * Contributors: Ryohei Ueda

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 14 May 2014 15:00:00 -0000


